Subject: bug#7894: 24.0.50; vc-update fails for mercurial (hg)

From: Glenn Morris <[email-masked]>
Date: Thu, 27 Jan 2011 03:49:26 -0500

Tassilo Horn wrote:

> When opening a `vc-dir' for a mercurial repository and hit `+'
> (`vc-update') I get this error because `vc-hg-pull' is called with an
> argument although it doesn't declare one.

I don't know what the undocumented vc-hg-pull command is supposed to do.
Operate on some list of marked files from a log-view buffer?
I suspect it only gets invoked by accident in this case, and that +
should rather return something like "not implemented for hg".
NEWS only says this is supported for bzr.